sqflite_common 2.5.4 copy "sqflite_common: ^2.5.4" to clipboard
sqflite_common: ^2.5.4 copied to clipboard

Dart wrapper on SQLite, a self-contained, high-reliability, embedded, SQL database engine.

sqflite common #

This package is not intended for direct use.

One exception to import sqflite_common/sqlite_api.dart is that you have logic which is shared across Flutter apps and desktop binaries, and you want to make your shared logic platform-agnostic. In this case, you can import the sqflite_common/sqlite_api.dart directly in your Dart package for shared logic and import it in your platform-dependent packages (e.g. using sqflite for Flutter apps and sqflite_common_ffi for desktop binaries).

67
likes
160
pub points
96%
popularity

Publisher

verified publishertekartik.com

Dart wrapper on SQLite, a self-contained, high-reliability, embedded, SQL database engine.

Repository (GitHub)
View/report issues

Documentation

API reference

Funding

Consider supporting this project:

github.com

License

BSD-2-Clause (license)

Dependencies

meta, path, synchronized

More

Packages that depend on sqflite_common